google-api - google APis有没有链接到" 最新" jQuery库?

  显示原文与译文双语对照的内容

这个问题已经有了如下答案:

我在 <script> 标签中使用了以下的jquery链接:


http://ajax.googleapis.com/ajax/libs/jquery/1.2.6/jquery.js

是否有人发现是否有指向"最新"版本的链接:

类似以下( 哪一个不工作):


http://ajax.googleapis.com/ajax/libs/jquery/latest/jquery.js

( 显然并不一定是将代码链接到有可能改变库但在开发中有用的计划)

使用这种 development-only shortcut, 注意: 请看看 http://blog.jquery.com/2014/07/03/dont-use-jquery-latest-js 不先考虑 of.

时间:

如果你这样做,你总是有最新的版本。


<script type="text/javascript" src="http://www.google.com/jsapi"></script>
<script type="text/javascript">
//<![CDATA[
 google.load("jquery","1");
//google.load("jqueryui","1");
//google.load("swfobject","1");
//]]>
</script>

然后调用它:


google.setOnLoadCallback(function(){jQuery(function($) {

//Enter your code block here

});});

如果你想在购物车中使用 jQuery,jQuery也不允许你通过SSL调用他们的最新文件。

: )


<script type="text/javascript" src="https://code.jquery.com/jquery-latest.min.js"></script>

将给你一个安全错误。

谷歌的API将让你通过SSL调用:


<script type="text/javascript" src="https://www.google.com/jsapi"></script>
<script type="text/javascript">
 google.load("jquery","1.7");
</script>

...